<?php

declare(strict_types=1);     

namespace App\Presenters;

use App\Forms\FormFactory;
use Nette\Application\AbortException;
use Nette\Application\UI\Presenter;


#Main presenter 
abstract class BasePresenter extends Presenter {

	protected $formFactory;

	public final function injectFormFactory(FormFactory $formFactory) {
		$this->formFactory = $formFactory;
	}

	
	#Kontrola oprávnění
	protected function startup() {
		parent::startup();
		if (!$this->getUser()->isAllowed($this->getName(), $this->getAction())) {
			$this->flashMessage('Nejsi přihlášený nebo nemáš dostatečná oprávnění.');
			$this->redirect(':Core:Administration:login');
		}
	}

}
